
package de.ivu.elect.dokumente.entschaedigung;

import java.util.Date;

import de.ivu.document.generator.template.BaseDocument;
import de.ivu.document.generator.template.annotations.DocumentSimpleField;
import de.ivu.elect.business.datei.entity.Datei;
import de.ivu.elect.business.entschaedigung.entity.Auszahlung;
import de.ivu.elect.dokumente.BaseElectContext;

public class AuszahlungBaseDocument extends BaseDocument {

  private static final long serialVersionUID = 1L;

  @DocumentSimpleField("Bezeichnung")
  public final String bezeichnung;

  @DocumentSimpleField("Erstellungsdatum")
  public final String erstellungsdatum;

  @DocumentSimpleField("Erstellungszeitpunkt")
  public final String erstellungszeitpunkt;

  public AuszahlungBaseDocument(BaseElectContext baseElectContext, Auszahlung auszahlung) {
    super();

    this.bezeichnung = auszahlung.getBezeichnung();

    if (auszahlung.hasDateiExport()) {
      Datei datei = auszahlung.getDateiExport().getDatei();

      Date erstellungszeitpunkt = datei.getErstellungszeitpunkt();

      this.erstellungsdatum = baseElectContext.formatDateMedium(erstellungszeitpunkt);
      this.erstellungszeitpunkt = baseElectContext.formatDateTimeMedium(erstellungszeitpunkt);
    } else {
      this.erstellungsdatum = "";
      this.erstellungszeitpunkt = "";
    }
  }
}
